package com.tenlionsoft.baselib.core.beans;

/**
 * 作者: adam
 * 日期: 2020/6/3 - 7:24 PM
 * 邮箱: itgaojian@163.com
 * 描述:
 */
/**
 * 文本
 */
//    STRING("string"),
//            /**
//             * 时间戳
//             */
//            DATETIME("datetime"),
//            /**
//             * 日期
//             */
//            DATE("date"),
//            /**
//             * 整形
//             */
//            NUMBER("number"),
//            /**
//             * 双精度
//             */
//            DOUBLE("double"),
//            /**
//             * 文本域
//             */
//            TEXTAREA("textarea"),
//            /**
//             * 富文本
//             */
//            RICH_TEXT("richText"),
//            /**
//             * 下拉选择
//             */
//            SELECT("select"),
//            /**
//             * 复选
//             */
//            CHECKBOX("checkbox"),
//            /**
//             * 单选
//             */
//            RADIO("radio"),
//            /**
//             * 选择人员
//             */
//            SELECT_USER("selectUser"),
//            /**
//             * 选择部门
//             */
//            SELECT_DEPARTMENT("selectDepartment"),
//            /**
//             * 文件
//             */
//            FILE("file"),
//            /**
//             * 图片
//             */
//            IMAGE("image"),
//            /**
//             * 视频
//             */
//            VIDEO("video"),
//            /**
//             * 音频
//             */
//            AUDIO("audio"),
//            /**
//             * 外联
//             */
//            JOIN("join"),
//            /**
//             * 内联
//             */
//            INNER_JOIN("innerJoin"),
//            /**
//             * 左联
//             */
//            LEFT_JOIN("leftJoin"),
//            /**
//             * 右联
//             */
//            RIGHT_JOIN("rightJoin"),
//            /**
//             * 当前用户
//             */
//            CURRENT_USER("currentUser"),
//            /**
//             * 当前部门
//             */
//            CURRENT_DEPARTMENT("currentDepartment"),
//            /**
//             * 当前角色
//             */
//            CURRENT_ROLE("currentRole"),
//            /**
//             * 当前组
//             */
//            CURRENT_GROUP("currentGroup"),
//            /**
//             * 当前职位
//             */
//            CURRENT_POSITION("currentPosition");
public class UserInfoFieldBean {

    /**
     * dictionaryId : string
     * dictionaryName : string
     * fieldDefault : string
     * fieldExplain : string
     * fieldName : string
     * fieldType : string
     * verifyRegular : string
     * verifyType : string
     */

    private String dictionaryId;
    private String dictionaryName;
    private String fieldDefault;
    private String fieldExplain;
    private String fieldName;
    private String fieldType;
    private String verifyRegular;
    private String verifyType;

    public String getDictionaryId() {
        return dictionaryId;
    }

    public void setDictionaryId(String dictionaryId) {
        this.dictionaryId = dictionaryId;
    }

    public String getDictionaryName() {
        return dictionaryName;
    }

    public void setDictionaryName(String dictionaryName) {
        this.dictionaryName = dictionaryName;
    }

    public String getFieldDefault() {
        return fieldDefault;
    }

    public void setFieldDefault(String fieldDefault) {
        this.fieldDefault = fieldDefault;
    }

    public String getFieldExplain() {
        return fieldExplain;
    }

    public void setFieldExplain(String fieldExplain) {
        this.fieldExplain = fieldExplain;
    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getFieldType() {
        return fieldType;
    }

    public void setFieldType(String fieldType) {
        this.fieldType = fieldType;
    }

    public String getVerifyRegular() {
        return verifyRegular;
    }

    public void setVerifyRegular(String verifyRegular) {
        this.verifyRegular = verifyRegular;
    }

    public String getVerifyType() {
        return verifyType;
    }

    public void setVerifyType(String verifyType) {
        this.verifyType = verifyType;
    }

    @Override
    public String toString() {
        return "UserInfoFieldBean{" +
                "dictionaryId='" + dictionaryId + '\'' +
                ", dictionaryName='" + dictionaryName + '\'' +
                ", fieldDefault='" + fieldDefault + '\'' +
                ", fieldExplain='" + fieldExplain + '\'' +
                ", fieldName='" + fieldName + '\'' +
                ", fieldType='" + fieldType + '\'' +
                ", verifyRegular='" + verifyRegular + '\'' +
                ", verifyType='" + verifyType + '\'' +
                '}';
    }
}
